﻿namespace ElencySolutions.MultipleProperty.CustomProperties
{
    using System;
    using EPiServer.Core;
    using EPiServer.PlugIn;

    [Serializable]
    [PageDefinitionTypePlugIn(DisplayName = "FakeProperty", Description = "Fake property to fix strange issue with multiple property and one item not saving")]
    public class MultiplePropertyComposerFixProperty : PropertyString
    {
        public override IPropertyControl CreatePropertyControl()
        {
            return new MultiplePropertyComposerFixPropertyControl();
        }
    }
}
