﻿namespace ElencySolutions.MultipleProperty
{
    using EPiServer.Core;

    /// <summary>
    /// IMultiplePropertyEntityCollectionAbilityOverride interface
    /// </summary>
    public interface IMultiplePropertyEntityCollectionAbilityOverride
    {
        /// <summary>
        /// Allows the add.
        /// </summary>
        /// <param name="pageData">The page data.</param>
        /// <param name="propertyName">Name of the property.</param>
        /// <returns></returns>
        bool AllowAdd(PageData pageData, string propertyName);

        /// <summary>
        /// Allows the edit.
        /// </summary>
        /// <param name="pageData">The page data.</param>
        /// <param name="propertyName">Name of the property.</param>
        /// <returns></returns>
        bool AllowEdit(PageData pageData, string propertyName);


        /// <summary>
        /// Allows the delete.
        /// </summary>
        /// <param name="pageData">The page data.</param>
        /// <param name="propertyName">Name of the property.</param>
        /// <returns></returns>
        bool AllowDelete(PageData pageData, string propertyName);
    }
}
